<ion-card class="card-formulario">
  <h3>Datos Personales</h3>
  <p class="p-subtitulo">Información personal</p>

  <form [formGroup]="formularioInformacion" (ngSubmit)="devolverFormulario()">
    <ion-item lines="none">
      <ion-input
        class="campo-autocomplete"
        readonly
        formControlName="nombresCompletos"
        placeholder="Nombres del socio">
      </ion-input>
    </ion-item>

    <ion-item lines="none">
      <ion-input
        class="campo-autocomplete"
        readonly
        formControlName="fechaNacimiento"
        placeholder="Fecha de Nacimiento del socio">
      </ion-input>
    </ion-item>

    <ion-item lines="none">
      <ion-input
        class="campo-autocomplete"
        readonly
        formControlName="genero"
        placeholder="Género del socio">
      </ion-input>
    </ion-item>

    <ion-item lines="none">
      <ion-input
        class="campo-autocomplete"
        readonly
        formControlName="nacionalidad"
        placeholder="Nacionalidad del socio">
      </ion-input>
    </ion-item>

    <ion-item lines="none">
      <ion-input
        class="campo-autocomplete"
        readonly
        formControlName="estadoCivil"
        placeholder="Estado civil del socio">
      </ion-input>
    </ion-item>

    <ion-item lines="none">
      <ion-input
        formControlName="correo"
        type="email"
        class="input-mensaje"
        placeholder="Correo electrónico del socio">
      </ion-input>
      <ion-note *ngIf="correoField?.hasError('required')" slot="error">Correo obligatorio</ion-note>
      <ion-note *ngIf="correoField?.hasError('email')" slot="error">Correo no válido</ion-note>
    </ion-item>

    <ion-item lines="none">
      <ion-input
        formControlName="confirmacionCorreo"
        type="email"
        class="input-mensaje"
        placeholder="Confirmar correo electrónico del socio">
      </ion-input>
      <ion-note *ngIf="confirmacionCorreoField?.hasError('required')" slot="error">Correo obligatorio</ion-note>
      <ion-note *ngIf="confirmacionCorreoField?.hasError('email')" slot="error">Correo no válido</ion-note>
    </ion-item>
    <p *ngIf="checarSiSonIguales()" style="color: #EB445A; font-size: 12px; padding-left: 1rem;">Correos no coinciden</p>

    <ion-list *ngIf="infoSocio.tipoSocio === 'N'">
      <ion-item lines="none">
        <ion-select
          formControlName="actividad"
          interface="action-sheet"
          placeholder="Actividades economicas"
          cancelText="Cancelar">
          <ion-select-option
            value=""
            disabled="true"
          >
            Lista Actividades
          </ion-select-option>
          <ion-select-option
            [value]="actividad.CodigoNegocio"
            *ngFor="let actividad of actividadesEconomicas">
            {{ actividad.Descripcion | uppercase }}
          </ion-select-option>
        </ion-select>
      </ion-item>
      <ion-note *ngIf="actividadField?.hasError('required')" slot="error">Actividad económica obligatoria</ion-note>
    </ion-list>

    <ion-list *ngIf="infoSocio.tipoSocio === 'N'">
      <ion-item lines="none">
        <ion-select
          formControlName="profesion"
          interface="action-sheet"
          placeholder="Profesiones"
          cancelText="Cancelar"
        >
          <ion-select-option
            value=""
            disabled="true"
          >
            Lista Profesiones
          </ion-select-option>
          <ion-select-option
            [value]="profesion.codigo"
            *ngFor="let profesion of profesiones">
            {{ profesion.descripcion | uppercase }}
          </ion-select-option>
        </ion-select>
      </ion-item>
      <ion-note *ngIf="profesionField?.hasError('required')" slot="error">Profesión obligatoria</ion-note>
    </ion-list>
  </form>

</ion-card>
